Fedora 24:php (2016-b967ac1a74)

high Nessus 插件 ID 92149

简介

远程 Fedora 主机缺少安全更新。

描述

2016 年 5 月 26 日,**PHP 5.6.22**

**核心:**

- 修复了缺陷 #72172(zend_hex_strtod 不应使用 strlen)。([email protected])

- 修复了缺陷 #72114(fread/gzread 中的整数下溢/任意空写入)。(Stas)

- 修复了缺陷 #72135(php_html_entities 中的整数溢出)。(Stas)

**GD:**

- 修复了缺陷 #72227(图像缩放越界读取)。(Stas)

**Intl:**

- 修复了缺陷 #64524(向 php.ini-* 添加 intl.use_exceptions)。
(Anatol)

- 修复了缺陷 #72241(get_icu_value_internal 越界读取)。(Stas)

**Postgres:**

- 修复了缺陷 #72151(mysqli_fetch_object 已变更行为)。(Anatol)

请注意,Tenable Network Security 已直接从 Fedora 更新系统网站提取上述描述块。
Tenable 已尝试在不引入其他问题的情况下尽可能进行了自动整理和排版。

解决方案

更新受影响的 php 程序包。

另见

https://bodhi.fedoraproject.org/updates/FEDORA-2016-b967ac1a74

插件详情

严重性: High

ID: 92149

文件名: fedora_2016-b967ac1a74.nasl

版本: 1.6

类型: local

代理: unix

发布时间: 2016/7/14

最近更新时间: 2021/1/11

支持的传感器: Agentless Assessment, Frictionless Assessment Agent, Nessus Agent

风险信息

VPR

风险因素: Medium

分数: 6.2

CVSS v2

风险因素: High

基本分数: 7.5

矢量: AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3

风险因素: High

基本分数: 8.6

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:H

漏洞信息

CPE: p-cpe:/a:fedoraproject:fedora:php, cpe:/o:fedoraproject:fedora:24

必需的 KB 项: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

补丁发布日期: 2016/5/30

漏洞发布日期: 2016/8/7

参考资料信息

CVE: CVE-2016-5093, CVE-2016-5096